petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAVecGetArrayDOF

Returns a multiple dimension array that shares data with the underlying vector and is indexed using the global dimensions.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecGetArrayDOF(DM da,Vec vec,void *array)

Logically collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()

### Output Parameter

array -the array

### Notes

Call DMDAVecRestoreArrayDOF() once you have finished accessing the vector entries.

In C, the indexing is "backwards" from what expects: array[k][j][i][DOF] NOT array[i][j][k][DOF]!

In Fortran 90 you do not need a version of DMDAVecRestoreArrayDOF() just use DMDAVecRestoreArrayF90() and declare your array with one higher dimension, see src/dm/examples/tutorials/ex11f90.F

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecRestoreArray(), DMDAVecGetArray(), DMDAVecRestoreArrayDOF()

### Level

intermediate

### Location

src/dm/impls/da/dagetarray.c src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/ex51.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ts/examples/tutorials/ex12.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages